# Loon Mac自用配置
# 注意事项：以下内容中，带“#”开头的行都是注释，去掉注释符号该行才有效
# 重要提示：导入本文件会覆盖原本配置，请谨慎使用
# 文件地址：https://raw.githubusercontent.com/fmz200/wool_scripts/main/Loon/config/Loon4Mac.conf
# 交流群组：https://t.me/lanjieguanggao
# 更新日期：2025-07-11 22:00:00
# 配置作者：奶思

# =====================================
# General
# =====================================
[General]
ip-mode = dual
disable-stun = false
dns-reject-mode = LoopbackIP
domain-reject-mode = DNS
udp-fallback-mode = REJECT
sni-sniffing = true
disconnect-on-policy-change = false
# > 跳过某个域名或者IP段
skip-proxy = 192.168.0.0/16,10.0.0.0/8,172.16.0.0/12,localhost,*.local,e.crashlynatics.com
bypass-tun = 10.0.0.0/8,100.64.0.0/10,127.0.0.0/8,169.254.0.0/16,172.16.0.0/12,192.0.0.0/24,192.0.2.0/24,192.88.99.0/24,192.168.0.0/16,198.51.100.0/24,203.0.113.0/24,224.0.0.0/4,255.255.255.255/32
# > DNS 服务器
dns-server = system,223.5.5.5,119.29.29.29,8.8.8.8
# doq-server = quic://b56ab786.d.adguard-dns.com
interface-mode = auto
# Wi-Fi 访问
# > 允许 Wi-Fi 网络下其它设备访问
#allow-udp-proxy = false
allow-wifi-access = true
wifi-access-http-port = 7222
wifi-access-socks5-port = 7221
# > 代理测速 URL
proxy-test-url = http://www.google.com/generate_204
internet-test-url = http://connectivitycheck.platform.hicloud.com/generate_204
# > 测速超时 (s)
test-timeout = 5
# 更新订阅超时时间
# proxy-update-timeout = 15
# > 解决一些ip请求无法匹配域名类规则的问题。real-ip指定的域名将不返回fake ip响应，直接将dns请求发往目标dns服务器
# real-ip = msftconnecttest.com,msftncsi.com,*.msftconnecttest.com,*.msftncsi.com,*.srv.nintendo.net,*.stun.playstation.net,xbox.*.microsoft.com,*.xboxlive.com,*.battlenet.com.cn,*.battlenet.com,*.blzstatic.cn,*.battle.net
# geoip
geoip-url = https://github.com/Masaiki/GeoIP2-CN/raw/release/Country.mmdb
# ssid-trigger参数，用于指定SSID下流量模式切换，（default表示默认，cellular表示蜂窝，目前支持三种值：rule，direct，proxy） 
# ssid-trigger="default":rule,"cellular":rule,"ASUS":direct,"TPLINK":proxy 
ipasn-url = https://raw.githubusercontent.com/P3TERX/GeoLite.mmdb/download/GeoLite2-ASN.mmdb


# =====================================
# Host
# =====================================
[Host]
# 为域名指定DNS服务器
#*.taobao.com = server:223.5.5.5
#*.tmall.com = server:223.5.5.5
#*.alicdn.com = server:223.5.5.5
#*.aliyun.com = server:223.5.5.5
#*.jd.com = server:119.28.28.28
#*.qq.com = server:119.28.28.28
#*.tencent.com = server:119.28.28.28
#*.weixin.com = server:119.28.28.28
#*.163.com = server:119.29.29.29
#*.126.com = server:119.29.29.29
#*.126.net = server:119.29.29.29
#*.127.net = server:119.29.29.29
#*.netease.com = server:119.29.29.29
#*.mi.com = server:119.29.29.29
#*.xiaomi.com = server:119.29.29.29
#*.bilibili.com = server:119.29.29.29
#*.testflight.apple.com = server:8.8.4.4
mtalk.google.com = 108.177.125.188
dl.google.com = server:119.29.29.29
dl.l.google.com = server:119.29.29.29
# 改善App Store下载速度
iosapps.itunes.apple.com = iosapps.itunes.apple.com.download.ks-cdn.com


# =====================================
# Proxy 本地的代理节点
# =====================================
[Proxy]


# =====================================
# Remote Proxy 订阅链接
# =====================================
[Remote Proxy]
你的机场🍒 = https://sub.store/download/xxx,udp=true,block-quic=true,fast-open=default,vmess-aead=true,skip-cert-verify=true,enabled=true,flexible-sni=true,img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/SubStore.png



# =====================================
# Proxy Group
# =====================================
[Proxy Group]
兜底策略 = select,香港节点,台湾节点,狮城节点,美国节点,日本节点,韩国节点,DIRECT,img-url = https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/Loon_02.png
大陆网址 = select,香港节点,台湾节点,美国节点,日本节点,韩国节点,狮城节点,DIRECT,img-url = https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/flag/CN_02.png
电报消息 = select,香港节点,狮城节点,美国节点,日本节点,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Telegram.png
微信消息 = select,DIRECT,香港节点,台湾节点,狮城节点,美国节点,img-url = https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/wechat.png
微博服务 = select,香港节点,台湾节点,美国节点,狮城节点,DIRECT,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Weibo.png
大陆抖音 = select,香港节点,台湾节点,美国节点,日本节点,韩国节点,狮城节点,DIRECT,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/TikTok_2.png
海外抖音 = select,香港节点,台湾节点,狮城节点,韩国节点,美国节点,日本节点,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/TikTok_1.png
人工智能 = select,日本节点,狮城节点,美国节点,img-url = https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/ChatGPT3.png
苹果服务 = select,DIRECT,香港节点,狮城节点,美国节点,img-url = https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/Apple_02.png
谷歌服务 = select,香港节点,狮城节点,美国节点,img-url = https://raw.githubusercontent.com/Orz-3/mini/master/Color/Google.png
油管视频 = select,香港节点,美国节点,日本节点,韩国节点,狮城节点,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/YouTube.png
# 节点筛选
香港节点 = url-test,HK_Filter,interval = 600,tolerance = 50,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Hong_Kong.png
台湾节点 = url-test,TW_Filter,interval = 600,tolerance = 50,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Taiwan.png
美国节点 = url-test,US_Filter,interval = 600,tolerance = 50,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/United_States.png
日本节点 = url-test,JP_Filter,interval = 600,tolerance = 50,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Japan.png
韩国节点 = url-test,KR_Filter,interval = 600,tolerance = 50,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Korea.png
狮城节点 = url-test,SG_Filter,interval = 600,tolerance = 50,img-url = https://raw.githubusercontent.com/Koolson/Qure/master/IconSet/Color/Singapore.png
其他节点 = url-test,OT_Filter,interval = 600,tolerance = 50,img-url = https://gitlab.com/lodepuly/iconlibrary/-/raw/main/Flag_icon/120px/WW.png


# =====================================
# Remote Filter
# (?i)：表示后面整个括号内的表达式不区分大小写
# =====================================
[Remote Filter]
OT_Filter = NameRegex, FilterKey = "^(?!.*(?:US|TW|JP|SG|美|韩|日本|新|港|澳|台|英|🇬🇧|🇺🇸|🇲🇴|🇸🇬|🇯🇵|🇭🇰|🇰🇷)).*$"
AI_Fliter = NameRegex, FilterKey = "(?i)(🇺🇸|美|US)"
HK_Filter = NameRegex, FilterKey = "(?i)(🇭🇰|港|HK|Hong)"
MO_Filter = NameRegex, FilterKey = "(?i)(🇲🇴|澳门)"
TW_Filter = NameRegex, FilterKey = "(?i)(台|TW|Tai)"
US_Filter = NameRegex, FilterKey = "(?i)(🇺🇸|美)"
JP_Filter = NameRegex, FilterKey = "(?i)(🇯🇵|日本|JP|Japan)"
KR_Filter = NameRegex, FilterKey = "(?i)(🇰🇷|KR|Korea|韩|韓)"
SG_Filter = NameRegex, FilterKey = "(?i)(🇸🇬|新加坡|狮城|SG|Singapore)"


# =====================================
# Rule
# Options:no-resolve(only for cidr)
# =====================================
[Rule]
# 网易新闻，HTTPS请求需要mitm才能获取到请求头进行匹配，HTTP请求能直接匹配
# USER-AGENT,"NewsApp*",兜底策略

# 重度下载
DOMAIN-SUFFIX,onejav.com,兜底策略
DOMAIN-SUFFIX,supjav.com,兜底策略
DOMAIN-SUFFIX,supremejav.com,兜底策略
DOMAIN-SUFFIX,tapecontent.net,兜底策略
DOMAIN-SUFFIX,streamtape.com,兜底策略
DOMAIN-SUFFIX,tapeadvertisement.com,兜底策略
DOMAIN-SUFFIX,checkout.paddle.com,兜底策略
DOMAIN-SUFFIX,advertisertape.com,兜底策略
# 海角社区
DOMAIN-KEYWORD,haijiao,美国节点
# GEOIP,cn,大陆网址
FINAL,兜底策略


# =====================================
# Remote Rule
# =====================================
[Remote Rule]
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/TencentVideo.list, policy=REJECT, tag=腾讯视频去广告@奶思, enabled=false
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/rejectAd.list, policy=REJECT, tag=广告拦截合集-规则@奶思, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/AI.list, policy=人工智能, tag=AI分流合集@奶思, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/Douyin.list, policy=大陆抖音, tag=抖音IP@奶思, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/RedBook.list, policy=大陆抖音, tag=小红书IP@奶思, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/WeChat/WeChat.list, policy=微信消息, tag=WeChat@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Weibo/Weibo.list, policy=微博服务, tag=Weibo@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/TikTok/TikTok.list, policy=海外抖音, tag=TikTok@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/BiliBili/BiliBili.list, policy=香港节点, tag=哔哩哔哩@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Telegram/Telegram.list, policy=电报消息, tag=Telegram@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/GitHub/GitHub.list, policy=兜底策略, tag=Github@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Microsoft/Microsoft.list, policy=DIRECT, tag=Microsoft@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Spotify/Spotify.list, policy= tag=Spotify@bm7, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/Twitter.list, policy=美国节点, tag=Twitter@bm7, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/AppleAll.list, policy=苹果服务, tag=苹果服务@奶思, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/Facebook.list, policy=香港节点, tag=Facebook@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Instagram/Instagram.list, policy=谷歌服务, tag=Instagram@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/YouTubeMusic/YouTubeMusic.list, policy=美国节点, tag=YouTube Music@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/YouTube/YouTube.list, policy=油管视频, tag=YouTube@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/GoogleVoice/GoogleVoice.list, policy=美国节点, tag=Google Voice@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Google/Google.list, policy=谷歌服务, tag=Google@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Disney/Disney.list, policy=香港节点, tag=Disney@bm7, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/Soul.list, policy=兜底策略, tag=Soul@奶思, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/Line/Line.list, policy=香港节点, tag=Line@bm7, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/KakaoTalk/KakaoTalk.list, policy=台湾节点, tag=KakaoTalk@bm7, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/Talkatone.list, policy=美国精选, tag=Talkatone@奶思, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/OKX.list, policy=美国节点, tag=欧易分流@奶思, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/rule/Binance.list, policy=美国节点, tag=币安分流@奶思, enabled=true
https://github.com/blackmatrix7/ios_rule_script/raw/master/rule/Loon/GlobalMedia/GlobalMedia.list, policy=狮城节点, tag=国外媒体@bm7, enabled=true
https://raw.githubusercontent.com/fmz200/wool_scripts/main/Loon/rule/LAN.list, policy=DIRECT, tag=LAN@奶思, enabled=true
https://raw.githubusercontent.com/fmz200/wool_scripts/main/Loon/rule/GeoIP_CN.list, policy=大陆网址, tag=GeoIP_CN@奶思, enabled=true



# =====================================
# Rewrite
# =====================================
[Rewrite]
# TF解锁区域限制
# ^https?://testflight\.apple\.com/v\d/accounts/.+?/install$ request-body-json-jq '.storefrontId = "143441-19,29"'


# =====================================
# Script
# =====================================
[Script]
http-response ^https?:\/\/weibo\.com\/ajax\/side\/searchBand\? script-path=https://raw.githubusercontent.com/fmz200/wool_scripts/refs/heads/main/Scripts/weibo/weibo_web_ads.js, requires-body=true, timeout=60, tag=微博网页版广告-热搜, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/Weibo-00.png
# cron "0/4 * * * *" script-path=https://raw.githubusercontent.com/fmz200/wool_scripts/main/Scripts/TestFlight/AutoJoinTF.js, timeout=180, tag=自动加入TF, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/TestFlight_01.png
cron "5 0/2 * * *" script-path=https://raw.githubusercontent.com/dompling/Script/master/gist/restore.js, timeout=300, tag=Gist恢复, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/BoxJS.png
cron "0 10 * * *" script-path=https://raw.githubusercontent.com/dompling/Script/master/gist/backup.js, timeout=300, enabled=false, tag=Gist备份, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/BoxJS.png
cron "30 0 * * * *" script-path=https://github.com/sub-store-org/Sub-Store/releases/latest/download/cron-sync-artifacts.min.js, timeout=300, enabled=false, tag=Sub-Store Sync, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/SubStore.png


# =====================================
# Remote Script
# =====================================
[Remote Script]


# =====================================
# Plugin
# =====================================
[Plugin]
https://raw.githubusercontent.com/001ProMax/Surge/main/Loon/Spotify.plugin, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/spotify.png, enabled=true
https://github.com/fmz200/wool_scripts/raw/main/Loon/plugin/Auto_Join_TF.plugin, policy=兜底策略, tag=自动加入TestFlight, img-url=https://raw.githubusercontent.com/fmz200/wool_scripts/main/icons/apps/TestFlight_01.png, enabled=false
https://raw.githubusercontent.com/chavyleung/scripts/master/box/rewrite/boxjs.rewrite.loon.plugin, policy=兜底策略, tag=BoxJs, enabled=true
https://raw.githubusercontent.com/sub-store-org/Sub-Store/master/config/Loon.plugin, policy=兜底策略, tag=Sub-Store订阅解析器, enabled=true
https://raw.githubusercontent.com/Script-Hub-Org/Script-Hub/main/modules/script-hub.loon.plugin, policy=兜底策略, enabled=true


# =====================================
# Mitm
# =====================================
[Mitm]
ca-p12 = 
hostname = weibo.com
ca-passphrase = 
skip-server-cert-verify = false
